package de.avatic.lcc.dto.calculation.edit.masterData;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.validation.constraints.*;

import java.util.List;
import java.util.Map;


public class MaterialUpdateDTO {

    @JsonProperty("premise_ids")
    private List<Integer> premiseIds;

    @JsonProperty("hs_code")
    @Size(min = 8, max = 11, message = "HS code must be between 8 and 11 characters")
    @Pattern(regexp = "^\\d+$", message = "HS code must contain only digits")
    private String hsCode;

    @JsonProperty("tariff_rate")
    @DecimalMin(value = "0.00", message = "Tariff_rate must be greater than or equal 0")
    @Digits(integer = 4, fraction = 4, message = "Tariff rate must have at most 4 decimal places")
    private Number tariffRate;

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public Number getTariffRate() {
        return tariffRate;
    }

    public void setTariffRate(Number tariffRate) {
        this.tariffRate = tariffRate;
    }

    public List<Integer> getPremiseIds() {
        return premiseIds;
    }

    public void setPremiseIds(List<Integer> premiseIds) {
        this.premiseIds = premiseIds;
    }

}
